Get a file by its ID
Requires the FILE.VIEW permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource to be requested.
Headers
x-platform-id
Platform ID.
Response
OK
object_type
id
reference
file_name
The name of the uploaded file. Required for a DEFAULT file, cannot be set on a BUCKET file
created_at
status
type
EVENTS. METER_DATA is deprecated: still accepted and handled the same as EVENTS, but use EVENTS
Allowed values:
name
description
customer_id
processing_type
DEFAULT when left out. A BUCKET file only takes DEFAULT
Allowed values:
file_processing_settings_id
events
For type EVENTS: the meter and the ingest timestamp of its lines
meter_data
As events, for the deprecated type METER_DATA
content_type
column_headers
number_of_lines
message
download_settings
source
Where the content comes from: DEFAULT (in content) or BUCKET (uploaded to the upload url). Cannot be changed
Allowed values:
line_counts
bucket_files
upload
Only in the response to creating a BUCKET file
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error